# $Revision: 1.65 $, $Date: 2012/04/21 07:05:52 $
# TODO:
# - any valid CMAKE_BUILD_TYPE causes overriding of our optflags
#   (and default non-verbose makefiles are hiding it!)
# - rpmldflags/rpmcppflags are not passed through %%cmake macro at all
#   (is there any standard way???)
#
# Conditional build:
%bcond_with	bootstrap	# use internal versions of some libraries
%bcond_without	gui		# don't build gui package

Summary:	Cross-platform, open-source make system
Summary(pl.UTF-8):	Wieloplatformowy system make o otwartych źródłach
Name:		cmake
Version:	2.8.8
Release:	1
License:	BSD
Group:		Development/Building
Source0:	http://www.cmake.org/files/v2.8/%{name}-%{version}.tar.gz
# Source0-md5:	ba74b22c788a0c8547976b880cd02b17
Patch0:		%{name}-lib64.patch
URL:		http://www.cmake.org/
%{?with_gui:BuildRequires:	QtGui-devel}
BuildRequires:	libarchive-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel > 5.9-3
%{?with_gui:BuildRequires:	qt4-build}
%{?with_gui:BuildRequires:	qt4-qmake}
BuildRequires:	rpmbuild(macros) >= 1.167
%{!?with_bootstrap:BuildRequires:	xmlrpc-c-devel >= 1.4.12-2}
Requires:	filesystem >= 3.0-52
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CMake is used to control the software compilation process using simple
platform and compiler independent configuration files. CMake generates
native makefiles and workspaces that can be used in the compiler
environment of your choice. CMake is quite sophisticated: it is
possible to support complex environments requiring system
configuration, pre-processor generation, code generation, and template
instantiation.

%description -l pl.UTF-8
CMake służy do sterowania procesem kompilacji oprogramowania przy
użyciu prostych plików konfiguracyjnych niezależnych od platformy i
kompilatora. CMake generuje natywne pliki makefile i workspace,
których można używać w wybranym środowisku kompilatora. CMake jest
dość wyrafinowany: może obsłużyć złożone środowiska wymagające
konfiguracji systemu, generowanie preprocesora, generowanie kodu i
dziedziczenie szablonów.

%package gui
Summary:	Qt GUI for CMake
Summary(pl.UTF-8):	Graficzny interfejs użytkownika Qt dla CMake
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description gui
This package contains the Qt based GUI for CMake.

%description gui -l pl.UTF-8
Ten pakiet zawiera oparty na Qt graficzny interfejs użytkownika dla
CMake.

%prep
%setup -q
%if "%{_lib}" == "lib64"
%patch0 -p1
%endif

cat > "init.cmake" <<EOF
SET (CURSES_INCLUDE_PATH "/usr/include/ncurses" CACHE PATH " " FORCE)
EOF

%build
export CC="%{__cc}"
export CXX="%{__cxx}"
export CFLAGS="%{rpmcflags}"
export CXXFLAGS="%{rpmcxxflags}"
export LDFLAGS="%{rpmldflags}"
./bootstrap \
	--prefix=%{_prefix} \
	--mandir=/share/man \
	--datadir=/share/cmake \
	--init=init.cmake \
	%{!?with_bootstrap:--system-libs} \
	%{?with_gui:--qt-gui} \
	--qt-qmake=/usr/bin/qmake-qt4 \
	--verbose

%{__make} VERBOSE=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog.* Copyright.txt *.gif Docs/{cmake,ctest}.{txt,html}
%attr(755,root,root) %{_bindir}/ccmake
%attr(755,root,root) %{_bindir}/cmake
%attr(755,root,root) %{_bindir}/cpack
%attr(755,root,root) %{_bindir}/ctest
%{_mandir}/man1/ccmake.1*
%{_mandir}/man1/cmake.1*
%{_mandir}/man1/cmakecommands.1*
%{_mandir}/man1/cmakecompat.1*
%{_mandir}/man1/cmakemodules.1*
%{_mandir}/man1/cmakepolicies.1*
%{_mandir}/man1/cmakeprops.1*
%{_mandir}/man1/cmakevars.1*
%{_mandir}/man1/cpack.1*
%{_mandir}/man1/ctest.1*
# top cmake/Modules dirs belong to filesystem
%{_datadir}/cmake/Modules/.NoDartCoverage
%{_datadir}/cmake/Modules/*
%{_datadir}/cmake/Templates
%{_datadir}/cmake/include
%{_aclocaldir}/cmake.m4

%if %{with gui}
%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cmake-gui
%{_datadir}/mime/packages/cmakecache.xml
%{_desktopdir}/CMake.desktop
%{_pixmapsdir}/CMakeSetup32.png
%{_mandir}/man1/cmake-gui.1*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cmake.spec,v $
Revision 1.65  2012/04/21 07:05:52  qboosh
- updated to 2.8.8

Revision 1.64  2012/01/13 07:38:09  arekm
- release 2

Revision 1.63  2011/12/31 09:40:28  arekm
- up to 2.8.7

Revision 1.62  2011/10/21 16:42:57  qboosh
- %{_libdir}/cmake moved to filesystem (3.0-52)
- release 2

Revision 1.61  2011/10/11 17:41:11  qboosh
- package cmake autoconf macros

Revision 1.60  2011/10/06 13:27:17  draenog
- up to 2.8.6
- remove tinfo.patch and BR ncurses-devel with dropped separate libtinfo

Revision 1.59  2011/08/31 18:32:53  arekm
- release 2

Revision 1.58  2011/07/11 08:18:47  lisu
- updated to 2.8.5

Revision 1.57  2011/06/10 13:35:43  qboosh
- cmake/Modules top dirs moved to filesystem (>= 3.0-46), so that packages like libmodman-devel or libproxy-devel don't always require cmake
- release 2

Revision 1.56  2011/02/16 19:06:43  draenog
- up to 2.8.4
- parse.patch applied upstream

Revision 1.55  2011/01/28 18:53:33  draenog
- fix for: -D option can't use value with equals sign
- rel. 2

Revision 1.54  2010/11/11 06:15:15  qboosh
- removed redundant libarchive R (soname dep is autodetected)

Revision 1.53  2010/11/11 06:11:09  qboosh
- pass --qt-qmake (fixes build when qt3 qmake is also installed)
- moved cmake-gui(1) man page to proper package

Revision 1.52  2010/11/05 11:36:13  glen
- adapter

Revision 1.51  2010/11/05 11:09:46  caleb
- Up to 2.8.3
- Removed python 2.7 patch applied upstream

Revision 1.50  2010/07/17 19:57:46  glen
- recognize python 2.7 in FIND_PACKAGE(PythonLibs); rel 2

Revision 1.49  2010/06/29 21:41:04  draenog
- up to 2.8.2
- add libtinfo to libraries for ccmake

Revision 1.48  2010/06/02 09:22:51  shadzik
- better PL desc

Revision 1.47  2010/03/18 09:19:27  lisu
- updated to 2.8.1
- adapter

Revision 1.46  2009/12/14 19:39:30  sls
- gui files only --with gui

Revision 1.45  2009/12/14 13:12:14  baggins
- rel 2

Revision 1.44  2009/11/27 18:03:26  draenog
- up to 2.8.0
- verbose make

Revision 1.43  2009/11/22 17:25:47  glen
- if you say dir, then do dir

Revision 1.42  2009/11/21 23:51:32  sparky
- added %{_libdir}/cmake directory; many packages require it, and some broken
  packages provide it

Revision 1.41  2009/11/15 22:40:53  shadzik
- 2.6.4

Revision 1.40  2009/02/27 19:55:16  arvenil
- up to 2.6.3

Revision 1.39  2008/12/27 10:14:06  qboosh
- dropped ar patch (no longer needed, wrong)
- release 2

Revision 1.38  2008/11/02 02:42:34  pawelz
- up to 2.6.2

Revision 1.37  2008/09/29 11:30:06  pluto
- strict BR: xmlrpc-c-devel for rebuild with proper soname, release 4.

Revision 1.36  2008/09/26 23:36:31  pluto
- release 3.

Revision 1.35  2008/08/17 19:00:42  qboosh
- pl for -gui

Revision 1.34  2008/08/15 12:06:24  shadzik
- it actually even automatically redirects us to the right page

Revision 1.33  2008/08/15 11:41:37  shadzik
- fix ar detection
- we shouldn't give a damn whether it's Index, Pindex, Srindex, index.[html,php,cgi,dupa] or anything else
  let http-daemon decide for us which one to choose
- rel 2

Revision 1.32  2008/08/08 10:33:37  paszczus
- typo in URL

Revision 1.31  2008/08/06 19:13:21  charles
- typo

Revision 1.30  2008/08/06 09:31:10  shadzik
- 2.6.1

Revision 1.29  2008/08/05 21:22:49  shadzik
- rel 1

Revision 1.28  2008/08/05 11:45:23  draenog
- gui subpackage
- adapterized

Revision 1.27  2008/07/31 04:45:24  qboosh
- even more :/

Revision 1.26  2008/07/30 20:13:21  qboosh
- sick...

Revision 1.25  2008-05-14 14:38:51  qboosh
- unified

Revision 1.24  2008-05-14 05:49:48  draenog
- 2.6.0 (functionality of ncurses.patch included)
- use PLD flags for linker
- set explicitly name of ar binary (as we don't provide e.g.
  i686-pld-linux-ar)
- use system libraries when possible (boostrap bcond)

Revision 1.23  2008-01-31 09:57:06  glen
- rel 3

Revision 1.22  2008-01-31 08:48:53  deejay1
- rel. 2 with fixed x64 patch by undefine

Revision 1.21  2008-01-27 21:12:38  deejay1
- updated to 2.4.8
- rel. 1; STBR

Revision 1.20  2007-12-25 18:30:04  glen
- rel 3

Revision 1.19  2007-12-06 10:29:37  glen
- fix libtool install dir; rel 2

Revision 1.18  2007-07-19 18:41:49  deejay1
- updated to 2.4.7

Revision 1.17  2007/04/18 19:37:11  deejay1
- rel. 2 for fracked up libstdc++

Revision 1.16  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.14  2007/01/12 13:26:23  deejay1
- up to 2.4.6

Revision 1.13  2006/12/05 11:14:43  deejay1
- up to 2.4.5

Revision 1.12  2006/11/21 20:24:16  deejay1
- 2.4.4

Revision 1.11  2006/08/17 10:37:44  deejay1
- up to 2.4.3

Revision 1.10  2006/05/31 17:19:23  deejay1
- up to 2.4.2

Revision 1.9  2006/05/07 18:54:28  darekr
- fix URL

Revision 1.8  2006/05/07 18:52:29  deejay1
- up to 2.4.1

Revision 1.7  2006/04/21 22:53:05  djurban
- updated to 2.4.0

Revision 1.6  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.5  2005/12/06 21:26:37  charles
- updated to 2.2.3
- BR: libstdc++-devel, ncurses-devel, rpmbuild(macros) >= 1.167
- "new" %build

Revision 1.4  2004/06/29 22:37:44  adamg
- updated to 1.8.3
- made it build

Revision 1.3  2004/06/29 19:00:07  qboosh
- cleanups, pl, files fixes

Revision 1.2  2004/06/29 12:54:41  adamg
- adapterized

Revision 1.1  2004/06/29 12:48:46  adamg
- new, almost raw (taken from Mandrake)
